//these are defines for the hardware port and pin allocations
//you can edit them to suit your hardware setup
#define LCD_PORT 	portc	//I/O port
#define LCD_TRIS 	trisc	//I/O direction register
#define RS 			3		//Reset
#define CS 			2		//Chip Select
#define SCLK 		1		//Serial Clock
#define SDATA  		0		//Serial Data


//These are defines for the Colour constants.
//You can edit the values here or add new colours to the list.
#define BLUE 		0x03
#define YELLOW 		0xFC
#define RED 		0xE0
#define GREEN 		0x1C
#define BLACK 		0x00
#define WHITE 		0xFF
#define BRIGHTGREEN 0x3D
#define DARKGREEN 	0x14
#define DARKRED		0xA0
#define DARKBLUE	0x02
#define BRIGHTBLUE	0x1F
#define ORANGE		0xF8


//External Gfx LCD Functions
void Lcd_init (void);
void Lcd_clear (void);
void Lcd_drawline (char X1, char Y1, char X2, char Y2, char Colour);
void Lcd_box (char Lx1, char Ly1, char Lx2, char Ly2, char Colour);
void Lcd_print (char* String, char Lcd_posx, char Lcd_posy, char Font_size, char Lcd_fcolour, char Lcd_bcolour);
void Lcd_plot(char X1, char Y1, char Colour);


//Internal Gfx LCD Functions
void Lcd_sendbyte (char Command, char Lcdout);
void Window (char Lx1, char Ly1, char Lx2, char Ly2);